/*
 * @(#)SadissComboBoxEditor.java 1.0 10/24/2002
 * Copyright 2002 Senamirmir Project
 *
 * You may distribute and/or modify Sadiss under the conditions 
 * of the LaTeX Project Public License. The license is located at
 * http://www.latex-project.org/lppl.txt
 */

package keffa ;

import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

/**
 * <!-- ----------------------------------------------------------------------- -->
 * LightCharcoalMetalTheme is a theme class that defines one using steelblue color
 * @version 1.0 10/24/2002
 * <!-- ----------------------------------------------------------------------- -->
 */
public class LightCharcoalMetalTheme extends DefaultMetalTheme {

    public String getName() { return "Sandstone"; }

    private final ColorUIResource primary1 = new ColorUIResource( 87,87,47) ;
    private final ColorUIResource primary2 = new ColorUIResource(172,161,154) ;
    private final ColorUIResource primary3 = new ColorUIResource(132,120,114) ;

    private final ColorUIResource secondary1 = new ColorUIResource(111,111,111) ;
    private final ColorUIResource secondary2 = new ColorUIResource(159,159,159) ;
    private final ColorUIResource secondary3 = new ColorUIResource(211,203,197) ;

    protected ColorUIResource getPrimary1() { return primary1; }
    protected ColorUIResource getPrimary2() { return primary2; }
    protected ColorUIResource getPrimary3() { return primary3; }

    protected ColorUIResource getSecondary1() { return secondary1; }
    protected ColorUIResource getSecondary2() { return secondary2; }
    protected ColorUIResource getSecondary3() { return secondary3; }

}
